mia-2dgroundtruthreg
Prev | Registration of series of 2D images | Next

### mia-2dgroundtruthreg

#### Sysnopis:

`mia-2dgroundtruthreg` {-i `string`} {-o `string`} {-A `double`} {-B `double`} {-R `double`} [ `options` ...]

#### Description:

This program implements the non-linear registration based on Pseudo Ground Thruth for motion compensation of series of myocardial perfusion images as described in

Chao Li and Ying Sun, 'Nonrigid Registration of Myocardial Perfusion MRI Using Pseudo Ground Truth' , In Proc. Medical Image Computing and Computer-Assisted Intervention MICCAI 2009, 165-172, 2009.

Note that for this nonlinear motion correction a preceding linear registration step is usually required.

#### Options:

#### File-IO

-i, --in-file=(input, required); string

  input perfusion data set

-o, --out-file=(output, required); string

  output perfusion data set

-r, --registered=reg; stringSTRING

  file name base for registered files

#### Preconditions

-s, --skip=2; ulong

  skip images at beginning of series

-P, --passes=4; ulong

  number of registration passes

#### Pseudo-Ground-Thruth

-A, --alpha=(required); double

  spacial neighborhood penalty weight

-B, --beta=(required); double

  temporal second derivative penalty weight

-R, --rho_thresh=(required); double

  correlation threshold for neighborhood analysis

#### Registration

-O, --optimizer=gsl:opt=gd,step=0.1; factory

  Optimizer used for minimization. For supported plug-ins see Plugin type: minimizer/singlecost

-p, --interpolator=bspline:d=3; factory

  image interpolator kernel. For supported plug-ins see Plugin type: 1d/splinekernel

-l, --mr-levels=3; ulong

  multi-resolution levels

-d, --divcurl=20; double

  divcurl regularization weight

--divcurl-divider=4; double

  divcurl weight scaling with each new pass

-a, --start-c-rate=32; ulong

  start coefficinet rate in spines, gets divided by --c-rate-divider with every pass

--c-rate-divider=4; double

  cofficient rate divider for each pass

-w, --imageweight=1; double

  image cost weight

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Register the perfusion series given by images imageXXXX.exr by using Pseudo Ground Truth estimation. Skip two images at the beginning and otherwiese use the default parameters. Store the result images to 'regXXXX.exr'.

    mia-2dgroundtruthreg -i imageXXXX.exr -o regXXXX.exr -k 2

#### Author(s):

Gert Wollny

Prev | Up | Next
Registration of series of 2D images | Home | mia-2dmany2one-nonrigid